<?php
$this->data['header'] = $this->t('{multiauth:multiauth:select_source_header}');
$this->includeAtTemplateBase('includes/header.php');
?>

<h2><?php echo 'Benutzerkonto auswählen' ?></h2>

<p><?php echo 'Bitte wählen Sie ein Benutzerkonto aus, mit dem Sie sich authentifizieren wollen:' ?></p>

<form action="/idp/module.php/multiauth/selectsource.php" method="get">
    <input type="hidden" name="AuthState" value="<?php echo htmlspecialchars($this->data['authstate']); ?>" />
<?php
echo '<div>';
foreach ($this->data['sources'] as $source) {
    if ($source['source'] === $this->data['preferred']) {
        $autofocus = ' autofocus="autofocus"';
    } else {
        $autofocus = '';
    }
    $name = 'src-'.base64_encode($source['source']);
    echo '<input type="submit" class="'.htmlspecialchars($source['css_class']).'"  name="'.htmlspecialchars($name).'"'.$autofocus.' '.
        'id="button-'.htmlspecialchars($source['source']).'" '.
        'value="'.htmlspecialchars($source['text']).'" ></input>';
}
echo '</div>';
?>
</form>
<?php $this->includeAtTemplateBase('includes/footer.php');
